Modify

Opened 5 years ago

Closed 4 years ago

#8421 closed Bugs (fixed)

docs show wrong overload

Reported by: chinmay1993@… Owned by: chris_kohlhoff
Milestone: To Be Determined Component: asio
Version: Boost 1.53.0 Severity: Not Applicable
Keywords: Cc:

Description

http://www.boost.org/doc/libs/1_53_0/doc/html/boost_asio/reference/basic_socket_acceptor/bind/overload1.html

The way 3rd function in there is shown, in that example. There is no such overload for endpoint which only takes uint.

http://www.boost.org/doc/libs/1_53_0/doc/html/boost_asio/reference/ip__basic_endpoint/basic_endpoint.html

Hence, The example is bugged and should rather be... acceptor.bind(boost::asio::ip::tcp::endpoint(boost::asio::ip::tcp::v4(), 12345));

Attachments (0)

Change History (3)

comment:1 Changed 5 years ago by viboes

Component: Noneasio
Owner: set to chris_kohlhoff

comment:2 Changed 5 years ago by chris_kohlhoff

(In [84483]) Fix error in acceptor example. Refs #8421

comment:3 Changed 4 years ago by chris_kohlhoff

Resolution: fixed
Status: newclosed

(In [84530]) Merge from trunk. Fixes #8421, #8602, #7739, #8613, #7939.


r84482 | chris_kohlhoff | 2013-05-25 21:35:10 +1000 (Sat, 25 May 2013) | 1 line

Fix potential deadlock in signal_set implementation.


r84483 | chris_kohlhoff | 2013-05-25 21:38:01 +1000 (Sat, 25 May 2013) | 1 line

Fix error in acceptor example. Refs #8421


r84484 | chris_kohlhoff | 2013-05-25 21:41:19 +1000 (Sat, 25 May 2013) | 1 line

Fix waitable timer documentation. Refs #8602


r84485 | chris_kohlhoff | 2013-05-25 21:46:20 +1000 (Sat, 25 May 2013) | 1 line

Add assertions that num_buckets_ is non-zero. Refs #7739


r84486 | chris_kohlhoff | 2013-05-25 21:50:52 +1000 (Sat, 25 May 2013) | 8 lines

Automatically disable SSL compression.

To mitigate the risk of certain attacks, SSL compression is now disabled by default. To enable, you can use the new ssl::context::clear_options() function like so:

my_context.clear_options(asio::ssl::context::no_compression);


r84487 | chris_kohlhoff | 2013-05-25 21:52:54 +1000 (Sat, 25 May 2013) | 3 lines

Fix bug on Windows where certain operations might generate an error_code with an invalid (i.e. NULL) error_category. Refs #8613


r84488 | chris_kohlhoff | 2013-05-25 21:57:36 +1000 (Sat, 25 May 2013) | 1 line

Fix problem in #warning directive. Refs #7939


r84492 | chris_kohlhoff | 2013-05-25 22:35:43 +1000 (Sat, 25 May 2013) | 2 lines

Fix potential data race due to reading the reactor pointer outside the lock.


r84494 | chris_kohlhoff | 2013-05-25 23:03:48 +1000 (Sat, 25 May 2013) | 1 line

Regenerate documentation.


r84529 | chris_kohlhoff | 2013-05-27 22:17:19 +1000 (Mon, 27 May 2013) | 1 line

Add documentation for new features.


Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain chris_kohlhoff.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.